Skip to main content
`Ctrl`+`K`

# TSAdjointCostIntegral

Evaluate the cost integral in the adjoint run.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointCostIntegral(TS ts)

Collective

## Input Parameter

- ts - time stepping context

## Notes

This function cannot be called until `TSAdjointStep()` has been completed.

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdjointSolve()`, `TSAdjointStep()`

## Level

advanced

## Location

src/ts/interface/sensitivity/tssen.c

## Implementations

TSAdjointCostIntegral_RK() in src/ts/impls/explicit/rk/rk.c
TSAdjointCostIntegral_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages